.\"	$OpenBSD: nice.3,v 1.17 2013/06/05 03:39:22 tedu Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd $Mdocdate: June 5 2013 $
.Dt NICE 3
.Os
.Sh NAME
.Nm nice
.Nd change process scheduling priority
.Sh SYNOPSIS
.In unistd.h
.Ft int
.Fn nice "int incr"
.Sh DESCRIPTION
.Bf -symbolic
This interface is obsoleted by
.Xr setpriority 2 .
.Ef
.Pp
The
.Fn nice
function adds the value specified in
.Fa incr
to the scheduling priority of the invoking process.
.Pp
.Fa incr
is an integer such that the resulting scheduling priority
is within the range \-20 to 20.
Priority values outside this range are truncated to the appropriate limit.
The default priority is 0; lower priorities cause more favorable scheduling.
Only the superuser may lower priorities.
.Pp
Children inherit the priority of their parent processes via
.Xr fork 2 .
.Sh RETURN VALUES
On success,
.Fn nice
returns the new priority.
On error, it returns -1.
.Pp
Since
.Fn nice
can legitimately return the value -1, it is necessary
to clear the external variable
.Va errno
prior to the
call, then check it afterward to determine
if a -1 is an error or a legitimate value.
.Sh ERRORS
.Fn nice
has the same failure conditions as
.Xr setpriority 2 .
.Sh SEE ALSO
.Xr nice 1 ,
.Xr fork 2 ,
.Xr setpriority 2 ,
.Xr renice 8
.Sh HISTORY
A
.Fn nice
system call appeared in
.At v6 .
